summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThilo Bangert <bangert@gentoo.org>2006-11-28 16:30:12 +0000
committerThilo Bangert <bangert@gentoo.org>2006-11-28 16:30:12 +0000
commitf78c14f6016b3416c68fe79b2024568a366ec95e (patch)
treeccecd51e589858afd21b88caf6b0236cd64948e1 /mail-filter/libsieve
parentVersion bump. Includes fixes for problems that have existed since 7.0/7.1. (diff)
downloadhistorical-f78c14f6016b3416c68fe79b2024568a366ec95e.tar.gz
historical-f78c14f6016b3416c68fe79b2024568a366ec95e.tar.bz2
historical-f78c14f6016b3416c68fe79b2024568a366ec95e.zip
remove borked version and bump
Package-Manager: portage-2.1.1-r2
Diffstat (limited to 'mail-filter/libsieve')
-rw-r--r--mail-filter/libsieve/ChangeLog8
-rw-r--r--mail-filter/libsieve/files/digest-libsieve-2.2.33
-rw-r--r--mail-filter/libsieve/libsieve-2.2.3.ebuild27
3 files changed, 37 insertions, 1 deletions
diff --git a/mail-filter/libsieve/ChangeLog b/mail-filter/libsieve/ChangeLog
index 39350e14b240..0108c2f74ce8 100644
--- a/mail-filter/libsieve/ChangeLog
+++ b/mail-filter/libsieve/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for mail-filter/libsieve
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/mail-filter/libsieve/ChangeLog,v 1.3 2006/11/27 09:38:04 bangert Exp $
+# $Header: /var/cvsroot/gentoo-x86/mail-filter/libsieve/ChangeLog,v 1.4 2006/11/28 16:30:12 bangert Exp $
+
+*libsieve-2.2.3 (28 Nov 2006)
+
+ 28 Nov 2006; Thilo Bangert <bangert@gentoo.org> -libsieve-2.2.2.ebuild,
+ +libsieve-2.2.3.ebuild:
+ remove borked version and bump
*libsieve-2.2.2 (27 Nov 2006)
diff --git a/mail-filter/libsieve/files/digest-libsieve-2.2.3 b/mail-filter/libsieve/files/digest-libsieve-2.2.3
new file mode 100644
index 000000000000..1752e81c4f8c
--- /dev/null
+++ b/mail-filter/libsieve/files/digest-libsieve-2.2.3
@@ -0,0 +1,3 @@
+MD5 c0167a026f6c77bdf2f5de2534562cb2 libsieve-2.2.3.tar.gz 569214
+RMD160 245cb664f4985fd14215a68a295a69c4b06b329a libsieve-2.2.3.tar.gz 569214
+SHA256 0a68e0d33b1e2edf15f2720826061354c3ebcd122d39ae290362ace216ddde06 libsieve-2.2.3.tar.gz 569214
diff --git a/mail-filter/libsieve/libsieve-2.2.3.ebuild b/mail-filter/libsieve/libsieve-2.2.3.ebuild
new file mode 100644
index 000000000000..5f50df569eb8
--- /dev/null
+++ b/mail-filter/libsieve/libsieve-2.2.3.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/mail-filter/libsieve/libsieve-2.2.3.ebuild,v 1.1 2006/11/28 16:30:12 bangert Exp $
+
+inherit toolchain-funcs
+
+DESCRIPTION="A library for parsing, sorting and filtering your mail."
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+HOMEPAGE="http://libsieve.sourceforge.net/"
+
+SLOT="0"
+LICENSE="MIT LGPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="virtual/libc"
+
+src_compile() {
+ cd ${S}/src
+ econf || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install () {
+ cd ${S}/src
+ emake DESTDIR="${D}" install || die "emake install failed"
+}